Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mwc.sqld.db
Class SQLFunctions

    java.lang.Object
      |
      +--com.mwc.sqld.db.SQLFunctions

public class SQLFunctions
extends java.lang.Object

Constructor Summary
`SQLFunctions()`

Method Summary
`static java.lang.String` | `base64(java.lang.Boolean flag, java.lang.String text)`
`static java.lang.String` | `concat(java.lang.String str1, java.lang.String str2)`
`static java.lang.String` | `crypt(java.lang.String salt, java.lang.String value)`
`static java.lang.String` | `left(java.lang.String str, java.lang.Integer n)`
`static java.lang.String` | `mid(java.lang.String str, java.lang.Integer i, java.lang.Integer n)`
`static java.lang.String` | `right(java.lang.String str, java.lang.Integer n)`
`static java.lang.String` | `soundex(java.lang.String str)`
`static boolean` | `unique(java.lang.String columnName, java.lang.Boolean value)`
`static boolean` | `unique(java.lang.String columnName, java.lang.Double value)`
`static boolean` | `unique(java.lang.String columnName, java.lang.Integer value)`
`static boolean` | `unique(java.lang.String columnName, java.lang.String value)`
`static void` | `unregisterCurrentThreadUniqueData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLFunctions

    public SQLFunctions()

Method Detail

### base64

    public static java.lang.String base64(java.lang.Boolean flag,
                                          java.lang.String text)

### crypt

    public static java.lang.String crypt(java.lang.String salt,
                                         java.lang.String value)

### unregisterCurrentThreadUniqueData

    public static void unregisterCurrentThreadUniqueData()

### unique

    public static boolean unique(java.lang.String columnName,
                                 java.lang.String value)

### unique

    public static boolean unique(java.lang.String columnName,
                                 java.lang.Integer value)

### unique

    public static boolean unique(java.lang.String columnName,
                                 java.lang.Boolean value)

### unique

    public static boolean unique(java.lang.String columnName,
                                 java.lang.Double value)

### left

    public static java.lang.String left(java.lang.String str,
                                        java.lang.Integer n)

### right

    public static java.lang.String right(java.lang.String str,
                                         java.lang.Integer n)

### mid

    public static java.lang.String mid(java.lang.String str,
                                       java.lang.Integer i,
                                       java.lang.Integer n)

### soundex

    public static java.lang.String soundex(java.lang.String str)

### concat

    public static java.lang.String concat(java.lang.String str1,
                                          java.lang.String str2)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD